# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=libpipeline
pkgver=1.5.6
pkgrel=1
pkgdesc="a C library for manipulating pipelines of subprocesses in a flexible and convenient way"
arch=('x86_64')
url="https://nongnu.org/libpipeline/"
groups=('base')
depends=('glibc')
makedepends=('bash' 'binutils' 'coreutils' 'diffutils' 'gawk' 'gcc' 'grep' 'make' 'sed' 'texinfo')
checkdepends=('check')
source=(https://download.savannah.gnu.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(60fbb9e7dc398528e5f3a776af57bb28ca3fe5d9f0cd8a961ac6cebfe6e9b797)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
